import React from "react";
import ButtomSlider from "@/components/Product_page/Buttom_slider";
import BoatView from "@/components/modules/Boat/BoatView";
import { api } from "@/config";
import Link from "next/link";

export default async function page({ params }) {
  const slug = params.slug;
  const boatInfo = await api(`/boat?slug=${slug}`);
  const boatData = await api(`/boat`);

  return (
    <div className="w-full pb-8">
      <div className="w-full valuesBg flex py-24 md:px-20 flex-col">
        <div className="container mx-auto">
          <h1 className="heading text-white fs-60 font-semibold">
            {boatInfo[0].assetType}
          </h1>
          <p className="text-2xl text-white mt-2">
            <span className="text-[#9b9b9b7c]">
              <Link href="/"> Home </Link> /{" "}
              <Link href="/boat">Boats</Link> /
            </span>{" "}
            {boatInfo[0].title}
          </p>
        </div>
      </div>
      <BoatView data={boatInfo[0]} />
      <div className="theme-container">
        <h1 className="text-2xl mb-6 font-semibold text-left text-blue ">
          Related Boats
        </h1>
        <ButtomSlider data={boatData} />
      </div>
    </div>
  );
}
